是时候升级你的 php 版本了

  • Posted on | Updated on
  • by
  • in

据报道,超过 57% 的 Wordpress 网站使用的是 php 5.6 和 7.0,而这两个版本在今年年底,或者说 2018年12月,就不再支持了,不会收到安全更新了,这意味着什么?
没有安全更新的 php 会带来更多的安全隐患。

如果一个以 php 为驱动的网站,比如 Wordpress 或者 phpBB,Joomla 之类的,一旦因为 php 安全漏洞而被入侵,其内容可能会被篡改,流量可能会被截取,排名可能会下降,我想这是所有站长不愿意看到的。

所以现在就行动起来,马上升级你的服务器 php 版本,至少升级到 7.1,如果条件许可,升级到 7.2。毕竟 php 7.3 马上就要发布了。

看一下 php 各个版本的支持情况:
php-version-support.png

  • php 5.6 的安全更新于 2018年12月31日止
  • php 7.0 的安全更新于2018年12月3日止

在升级前要做的准备工作

  1. 确认目前在使用的 php 版本
  2. 检查网站所用程序是否支持 php 7.2 或者 php 7.1
  3. 检查程序相关的插件扩展等是否支持 php 7.2 或者 php 7.1

升级的步骤

  1. 备份,最重要的就是备份了,数据库,程序,配置文件,都要做好备份,并下载,不要只备份在服务器上
  2. 确认兼容性后,知道自己需要升级到哪个版本
  3. 登录到主机服务控制面板,找到 php 部分,选择升级 php 版本;如果你用的是 VPS,那你一定已经知道如何做了

记住网站的安全,就是网站流量的生命线。


作者: David Yin
原载: SEO 网站优化推广
版权所有。转载时必须以链接形式注明作者和及本声明。